Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 155387

Summary: HelixPlayer buffer overflow
Product: [Fedora] Fedora Reporter: Josh Bressers <bressers>
Component: HelixPlayerAssignee: John (J5) Palmieri <johnp>
Status: CLOSED RAWHIDE QA Contact:
Severity: urgent Docs Contact:
Priority: medium    
Version: rawhideCC: hp, jkeck, security-response-team, walters
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20050419,reported=real,reported=20050419
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-04-26 21:02:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 136450    

Description Josh Bressers 2005-04-19 20:59:03 UTC
+++ This bug was initially created as a clone of Bug #155386 +++

+++ This bug was initially created as a clone of Bug #153931 +++

We have been informed of a buffer overflow issue in the version of HelixPlayer
we ship.  A malicious RAM file can overflow a buffer and execute arbitrary code
on a victims machine.

Comment 1 Ray Strode [halfline] 2005-04-25 19:43:04 UTC
John says that this needs to be fixed so that it will compile with nptl
threads/gcc4.

Comment 2 John (J5) Palmieri 2005-04-26 21:02:11 UTC
The fix is in, I tested it and it is built in Rawhide